//+------------------------------------------------------------------+
//|                                                         kiss.mq4 |
//|                                                                  |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright ""
#property link      ""

#property indicator_chart_window
#property indicator_buffers 3
#property indicator_color1 Red
#property indicator_color2 Black
#property indicator_color3 Black

double ExtMapBuffer1[];
double ExtMapBuffer2[];
double ExtMapBuffer3[];
extern bool TrendAlarm=True;
extern bool BreakoutAlarm=True;

int init()
  {

   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,ExtMapBuffer2);
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,ExtMapBuffer3);

   return(0);
  }

int deinit()
  {

   return(0);
  }

int start()
  {
   int limit;
   int    counted_bars=IndicatorCounted();
   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;

     for(int i=0; i<limit; i++)
       {        
         ExtMapBuffer1[i]=iMA(NULL,0,60,0,MODE_SMA,PRICE_MEDIAN,i);
         ExtMapBuffer2[i]=iEnvelopes(NULL, 0, 60,MODE_SMA,0,PRICE_CLOSE,0.03,MODE_UPPER,i);
         ExtMapBuffer3[i]=iEnvelopes(NULL, 0, 60,MODE_SMA,0,PRICE_CLOSE,0.03,MODE_LOWER,i);
       }       
     
      if(TrendAlarm)
      {
         if(Close[i]==ExtMapBuffer1[i] || Close[i]==ExtMapBuffer1[i])
         {
            Alert("Trend Change Signal triggered for "+Symbol()+" on the "+Period()+" minute chart.");
            PlaySound("alert.wav");
         }
        
      }
            if(BreakoutAlarm)
      {
         if(Close[i]==ExtMapBuffer2[i] || Close[i]==ExtMapBuffer3[i])
         {
            Alert("Breakout Signal triggered for "+Symbol()+" on the "+Period()+" minute chart.");
            PlaySound("alert2.wav");
         }
        
      }
         
  //---- done  
//----
   return(0);
  }
//+------------------------------------------------------------------+